package com.elab.mq.model;


import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author liuhx
 * @create 2019/05/16 19:32
 * @email liuhx@elab-plus.com
 **/
@Table(name = "mq_producer", catalog = "elab_db") 
public class ProducerEntity {

    @Id
    
    private Integer id;

    @Column(name = "module_name")
    
    private String moduleName;

    @Column(name = "house_id")
    
    private Integer houseId;

    @Column(name = "producer_status")
    
    private Integer producerStatus;

    @Column(name = "group_id")
    
    private String groupId;

    @Column(name = "topic_id")
    
    private String topicId;

    @Column(name = "content")
    
    private String content;

    @Column(name = "result_content")
    
    private String resultContent;

    @Column(name = "cat_id")
    
    private String catId;
    @Column(name = "tag")
    
    private String tag;

    /**
     * 状态：1  有效  -1  无效
     */
    @Column(name = "status")
    
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "created")
    
    private Date created;

    /**
     * 修改时间
     */
    @Column(name = "updated")
    
    private Date updated;

    /**
     * 创建者
     */
    @Column(name = "creator")
    
    private String creator;

    /**
     * 修改者
     */
    @Column(name = "updator")
    
    private String updator;

    public String getCatId() {
        return catId;
    }

    public void setCatId(String catId) {
        this.catId = catId;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getResultContent() {
        return resultContent;
    }

    public void setResultContent(String resultContent) {
        this.resultContent = resultContent;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public Integer getHouseId() {
        return houseId;
    }

    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    public Integer getProducerStatus() {
        return producerStatus;
    }

    public void setProducerStatus(Integer producerStatus) {
        this.producerStatus = producerStatus;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }
}
